From b9ecd6ea5eafb783832fcde7b3ed863ef52c2cfc Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@gmail.com>
Date: Aug 06 2024 21:17:30 +0000
Subject: fix: stuf


Signed-off-by: Ryan Brue <ryanbrue@gmail.com>

---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index 85e2a9a..d30a95e 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -66,7 +66,7 @@ Requires:       hicolor-icon-theme
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-applibrary-%{shortcommit} -p1 -a1
+%autosetup -n cosmic-applibrary-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index f4a3a9c..8d9a475 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -75,7 +75,7 @@ Requires:       hicolor-icon-theme
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-applets-%{shortcommit} -p1 -a1
+%autosetup -n cosmic-applets-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index 959a2a3..a7f2a88 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -59,7 +59,7 @@ Requires:       hicolor-icon-theme
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-bg-%{shortcommit} -p1 -a1
+%autosetup -n cosmic-bg-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index 740f493..95b9c77 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -75,7 +75,7 @@ Recommends:     cosmic-session
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-comp-%{shortcommit} -p1 -a1
+%autosetup -n cosmic-comp-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index a8a2d89..8d129ae 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -69,7 +69,7 @@ Requires:       hicolor-icon-theme
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{shortcommit} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 27894ab..76f3177 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -72,7 +72,7 @@ Requires:       hicolor-icon-theme
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{shortcommit} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index e57bc5d..4e45492 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -79,7 +79,7 @@ Requires:       cosmic-comp
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-greeter-%{shortcommit} -p1 -a1
+%autosetup -n cosmic-greeter-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/cosmic-icon-theme/cosmic-icon-theme.spec b/rpms/cosmic-icon-theme/cosmic-icon-theme.spec
index 7fc4db7..fe2b76b 100644
--- a/rpms/cosmic-icon-theme/cosmic-icon-theme.spec
+++ b/rpms/cosmic-icon-theme/cosmic-icon-theme.spec
@@ -31,7 +31,7 @@ Provides:  cosmic-icons = %{version}-%{release}
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-icons-%{shortcommit}
+%autosetup -n cosmic-icons-%{commit}
 
 %build
 
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index 569179c..c784de5 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -71,7 +71,7 @@ Requires:       hicolor-icon-theme
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{shortcommit} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index f2e2e35..da4a985 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -66,7 +66,7 @@ Requires:       hicolor-icon-theme
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-notifications-%{shortcommit} -p1 -a1
+%autosetup -n cosmic-notifications-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index 7405feb..0096195 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -66,7 +66,7 @@ BuildRequires:  make
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{shortcommit} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/cosmic-panel/cosmic-panel.spec b/rpms/cosmic-panel/cosmic-panel.spec
index bd3db17..b4c71ac 100644
--- a/rpms/cosmic-panel/cosmic-panel.spec
+++ b/rpms/cosmic-panel/cosmic-panel.spec
@@ -60,7 +60,7 @@ BuildRequires:  just
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-panel-%{shortcommit} -p1 -a1
+%autosetup -n cosmic-panel-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/cosmic-randr/cosmic-randr.spec b/rpms/cosmic-randr/cosmic-randr.spec
index 14a52e4..9569f8e 100644
--- a/rpms/cosmic-randr/cosmic-randr.spec
+++ b/rpms/cosmic-randr/cosmic-randr.spec
@@ -51,7 +51,7 @@ Cosmic-randr command line interface.}
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-randr-%{shortcommit} -p1 -a1
+%autosetup -n cosmic-randr-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index 87bc6ba..786f026 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -54,7 +54,7 @@ BuildRequires:  desktop-file-utils
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{shortcommit} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index 10c51d9..3805033 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -79,7 +79,7 @@ The session manager for the COSMIC desktop environment.}
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{shortcommit} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index 73c49fe..813f317 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -71,7 +71,7 @@ Requires:       adw-gtk3-theme
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{shortcommit} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index f37d3d6..10ec587 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -72,7 +72,7 @@ Requires:       hicolor-icon-theme
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-settings-%{shortcommit} -p1 -a1
+%autosetup -n cosmic-settings-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index 3d8e5ab..b6aae57 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -71,7 +71,7 @@ Requires:       hicolor-icon-theme
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-store-%{shortcommit} -p1 -a1
+%autosetup -n cosmic-store-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index db09bcd..95ea786 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -68,7 +68,7 @@ Requires:       hicolor-icon-theme
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{shortcommit} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index 1e7d9bc..aaa2b66 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -74,7 +74,7 @@ Requires:       hicolor-icon-theme
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-workspaces-epoch-%{shortcommit} -p1 -a1
+%autosetup -n cosmic-workspaces-epoch-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/pop-launcher/pop-launcher.spec b/rpms/pop-launcher/pop-launcher.spec
index a9ea198..31e8ea8 100644
--- a/rpms/pop-launcher/pop-launcher.spec
+++ b/rpms/pop-launcher/pop-launcher.spec
@@ -66,7 +66,7 @@ Requires:       fd-find
 %description %{_description}
 
 %prep
-%autosetup -n launcher-%{shortcommit} -p1 -a1
+%autosetup -n launcher-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index a294b46..b87a92a 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -72,7 +72,7 @@ Requires:       hicolor-icon-theme
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{shortcommit} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/scripts/srpm.sh b/scripts/srpm.sh
index ef86cb9..67e2e08 100644
--- a/scripts/srpm.sh
+++ b/scripts/srpm.sh
@@ -46,9 +46,8 @@ else
 fi
 
 # Zip SOURCE
-mv $SOURCE_NAME-$COMMIT $SOURCE_NAME-$SHORTCOMMIT
-tar -pczf $SOURCE_NAME-$SHORTCOMMIT.tar.gz $SOURCE_NAME-$SHORTCOMMIT
-rm -rf $SOURCE_NAME-$SHORTCOMMIT
+tar -pczf $SOURCE_NAME-$SHORTCOMMIT.tar.gz $SOURCE_NAME-$COMMIT
+rm -rf $SOURCE_NAME-$COMMIT
 
 # Make replacements to specfile
 sed -i "/^Version: / s/.*/Version:           $VERSION~^%{commitdate}git%{shortcommit}/" $NAME.spec

